# Display status of GitHub checks for a commit.

## Synopsis

`hub ci-status` [-v] [COMMIT]

## Options

-v, --verbose

  Print detailed report of all status checks and their URLs.

-f, --format FORMAT

  Pretty print all status checks using FORMAT (implies `--verbose`). See the "PRETTY FORMATS" section of git-log(1) for some additional details on how placeholders are used in format. The available placeholders for checks are:

  %U: the URL of this status check

  %S: check state (e.g. "success", "failure")

  %sC: set color to red, green, or yellow, depending on state

  %t: name of the status check

--color[=WHEN]

  Enable colored output even if stdout is not a terminal. WHEN can be one of "always" (default for `--color`), "never", or "auto" (default).

COMMIT

  A commit SHA or branch name (default: "HEAD").

Possible outputs and exit statuses:

- success, neutral: 0
- failure, error, action_required, cancelled, timed_out: 1
- pending: 2

## See also

hub-pull-request(1), hub(1)